Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.filter.thml
Interface Tag

All Known Implementing Classes:
  AbstractTag, AliasTag, AnonymousTag, ATag, BigTag, BlockquoteTag, BrTag, BTag, CenterTag, CitationTag, ColTag, DivTag, FontTag, ForeignTag, HrTag, HTag, IgnoreTag, ImgTag, ITag, LiTag, NameTag, NoteTag, OlTag, PbTag, PTag, RootTag, RowTag, ScripRefTag, ScriptureTag, SmallTag, SubTag, SupTag, SyncTag, TableTag, TdTag, TermTag, ThTag, TrTag, TtTag, UlTag, UTag

    public interface Tag

THML Tag interface - there should be one implementation of this class for each THML tag.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Method Summary
`String` | `getTagName()` What element does this class represent.
`void` | `processContent(org.jdom.Element ele)` Do additional processing of the tag after the element has been created.
`org.jdom.Element` | `processTag(org.jdom.Element ele, Attributes attrs)` Make changes to the specified OSIS element given the attributes passed in the source document.

Method Detail

### getTagName

    String getTagName()

  What element does this class represent. For example the Tag that represents the >font ...> element would return the string "font".

### processTag

    org.jdom.Element processTag(org.jdom.Element ele,
                                Attributes attrs)

  Make changes to the specified OSIS element given the attributes passed in the source document.

  Parameters:
    `ele` - The OSIS element to use as a parent
    `attrs` - The source document attributes.
  Returns:
    the element to which content is attached

### processContent

    void processContent(org.jdom.Element ele)

  Do additional processing of the tag after the element has been created.

  Parameters:
    `ele` - the created element to process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD